# $Revision: 1.28 $, $Date: 2011/03/22 08:20:43 $
%define		qtver	4.6.3
%define		kdever	4.5.1
Summary:	GUI for the R-project
Summary(pl.UTF-8):	Interfejs dla języka R
Name:		rkward
Version:	0.5.5
Release:	1
License:	GPL
Group:		Applications/Math
Source0:	http://downloads.sourceforge.net/rkward/%{name}-%{version}.tar.gz
# Source0-md5:	0d4aedb506ab866eccf9216de43279c3
URL:		http://rkward.sourceforge.net/
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtScript-devel >= %{qtver}
BuildRequires:	QtScriptTools-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtTest-devel >= %{qtver}
BuildRequires:	QtXml-devel >= %{qtver}
BuildRequires:	R >= 2.0.0
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	rpmbuild(macros) >= 1.600
Requires:	R >= 2.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RKWard aims to provide an easily extensible, easy to use GUI for the
R-project, that will one day seamlessly integrate with KOffice. RKWard
tries to combine the power of the R-language with the (relative) ease
of use of commercial tools like SPSS.

%description -l pl.UTF-8
RKWard ma na celu udostępnienie łatwo rozszerzalnego, łatwego w użyciu
środowiska graficzngo dla języka R, które któregoś dnia może zostać
zintegrowane z KOffice. RKWard jest próbą połączenia mocy języka R z
(względną) łatwością użycia komercyjnych narzędzi typu SPSS.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DLIBR_SO=%{_libdir}/libR.so

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README TODO AUTHORS
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/%{name}.bin
%{_desktopdir}/kde4/rkward.desktop
%{_datadir}/apps/%{name}
%{_iconsdir}/hicolor/*/apps/rkward.png
%{_iconsdir}/hicolor/*/apps/rkward.svgz
%{_libdir}/R/library/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rkward.spec,v $
Revision 1.28  2011/03/22 08:20:43  lisu
- up to 0.5.5
- rpmbuild(macros) >= 1.600

Revision 1.27  2010/10/05 12:00:49  lisu
- up to 0.5.4
- drop cmake options provided by %%cmake macro

Revision 1.26  2010/05/08 08:43:33  lisu
- BR: QtSvg-devel

Revision 1.25  2010/05/08 08:17:38  lisu
- fix after adapter

Revision 1.24  2010/05/08 08:16:19  lisu
- add missing BRs: qt4-build, qt4-qmake

Revision 1.23  2010/05/04 08:12:32  lisu
- up to 0.5.3
- seems to work

Revision 1.22  2010/04/24 20:21:51  lisu
- TODO

Revision 1.21  2010/04/01 13:19:49  shadzik
- B600
Revision 1.20  2010/04/01 13:07:46  lisu
- s/scons/cmake/ in previous commits

Revision 1.19  2010/04/01 12:57:03  lisu
- ups, typo in Source0 url
- pl fixes

Revision 1.18  2010/04/01 12:50:12  lisu
- up to 0.5.2
- cmake build system
- drop %%post and %%postun - we don't need them anymore
- changes in %%files

Revision 1.17  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.15  2005/12/24 11:18:02  undefine
- up to 0.3.4

Revision 1.14  2005/06/25 20:26:17  blekot
- only hicolor icons

Revision 1.13  2005/05/17 18:47:00  darekr
- unify

Revision 1.12  2005/04/28 00:44:26  undefine
- up to 0.3.2

Revision 1.11  2005/03/28 23:35:57  undefine
- up to 0.3.1

Revision 1.10  2004/11/17 09:41:29  qboosh
- fixed build

Revision 1.9  2004/11/16 22:52:58  qboosh
- use find_lang

Revision 1.8  2004/11/16 19:03:36  undefine
- up to 0.3.0

Revision 1.7  2004/09/23 15:45:26  undefine
- update to 0.2.9

Revision 1.6  2004/09/15 19:40:40  qboosh
- BR: automake, use find_lang for kdedoc resources

Revision 1.5  2004/09/14 20:56:11  undefine
- patch to desktop file

Revision 1.4  2004/09/14 20:16:42  undefine
- add R library by "the right way", works now.
- release 3

Revision 1.3  2004/09/14 19:39:30  undefine
- add rkward R library

Revision 1.2  2004/09/14 12:17:30  undefine
- r.xml conflicts with kdelibs, release 2

Revision 1.1  2004/09/14 10:12:41  undefine
- initital pld version
